=== src/autotype/CMakeLists.txt ===
if(Q_WS_X11)
  find_package(X11)
  if(PRINT_SUMMARY)
    add_feature_info(libXi X11_Xi_FOUND "The X11 Xi Protocol library is required for auto-type")
    add_feature_info(libXtst X11_XTest_FOUND "The X11 XTEST Protocol library is required for auto-type")
  endif()

  if(X11_FOUND AND X11_Xi_FOUND AND X11_XTest_FOUND)
    add_subdirectory(x11)
  endif()
endif()

if(WITH_TESTS)
  add_subdirectory(test)
endif()
