=== debian/changelog ===
keepassx (2.0.3-4) unstable; urgency=medium

  * New Maintainer. Thanks to Reinhard Tartler! (Closes: #924270)
  * Using new DH level format. Consequently:
       - debian/compat: removed.
       - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
         Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.4.0.
  * debian/copyright:
       - Include section debian/* copyrights.
       - Update from http to https.
  * debian/patches:
       - Created 10_spell-fix.patch for spell corrections.
       - Created 20_keywords-keepassx-desktop.patch, added "Keywords" section.
       - Modified desktop_file_comment.patch, added description.
  * debian/rules:
       - Updated to provide hardening.
       - Created override some empty directory.
  * debian/tests/control: created to provide a basic trivial test.
  * debian/upstream/metadata: created.
  * debian/upstream/signing-key.asc for only upstream.
  * debian/watch:
       - Updated http to https.
       - Updated version to 4.

 -- Diego Sarzi <diegosarzi@gmail.com>  Sat, 20 Jul 2019 10:59:32 -0300

keepassx (2.0.3-3) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Mar 2019 15:18:52 -0400

keepassx (2.0.3-2) unstable; urgency=medium

  * Acknowledge NMU
  * Bump standards version
  * Improve package description (Thanks to Bruno Kleinert!)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Jan 2019 12:54:05 -0500

keepassx (2.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support DEB_BUILD_OPTIONS=nocheck based on a patch by
    Helmut Grohne. (Closes: #852368)
  * Set Rules-Requires-Root to "no" as keepassx does not need
    (fake)root.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Jan 2019 17:35:02 +0000

keepassx (2.0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #845163)
  * Add missing Comment section to the desktop file. (Closes: #846274)
    - desktop_file_comment.patch

 -- Felix Geyer <fgeyer@debian.org>  Tue, 10 Jan 2017 22:33:14 +0100
