=== debian/control ===
Source: keepassx
Section: utils
Priority: optional
Maintainer: Diego Sarzi <diegosarzi@gmail.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libqt4-dev,
               libgcrypt20-dev,
               zlib1g-dev,
               libxtst-dev,
               xvfb,
               xauth
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: https://www.keepassx.org/
Vcs-Git: https://salsa.debian.org/debian/keepassx.git
Vcs-Browser: https://salsa.debian.org/debian/keepassx

Package: keepassx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Cross Platform Password Manager
 KeePassX is a free/open-source password manager or safe which helps you
 to manage your passwords in a secure way. You can put all your
 passwords in one database, which is locked with one master key or a
 key-disk. So you only have to remember one single master password or
 insert the key-disk to unlock the whole database. The databases are
 encrypted using the algorithms AES or Twofish.
 .
 In contrast to KeePassXC (package keepassxc), the development pace of KeePassX
 has slowed down. It has less features, and uses an outdated version of the Qt
 widget. If you do not know whether you should install keepassx or keepassxc,
 install keepassx instead!
