=== debian/tests/control ===
Test-Command: xvfb-run -a keepassx &
Depends: @, xauth, xvfb
