## keepassx 2.0.3+git20190121.1682ab9

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 project(KeePassX)
 
-cmake_minimum_required(VERSION 2.6.4)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
@@ -31,7 +31,7 @@
 
 option(WITH_TESTS "Enable building of unit tests" ON)
 option(WITH_GUI_TESTS "Enable building of GUI tests" OFF)
-option(WITH_CXX11 "Build with the C++ 11 standard" ON)
+option(WITH_DEV_BUILD "Use only for development. Disables/warns about deprecated methods." OFF)
 
 set(KEEPASSX_VERSION "2.0.3")
 set(KEEPASSX_VERSION_NUM "2.0.3")
@@ -61,7 +61,7 @@
   add_gcc_compiler_cflags("${FLAGS}")
 endmacro(add_gcc_compiler_flags)
 
-add_definitions(-DQT_NO_KEYWORDS -DQT_NO_EXCEPTIONS -DQT_NO_STL -DQT_STRICT_ITERATORS -DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_KEYWORDS -DQT_NO_EXCEPTIONS -DQT_STRICT_ITERATORS -DQT_NO_CAST_TO_ASCII)
 
 add_gcc_compiler_flags("-fno-common -fstack-protector --param=ssp-buffer-size=4")
 add_gcc_compiler_flags("-Wall -Wextra -Wundef -Wpointer-arith -Wno-long-long")
@@ -100,14 +100,16 @@
   set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,relro")
 endif()
 
-if (WITH_CXX11)
-  add_gcc_compiler_cxxflags("-std=c++0x")
-  add_gcc_compiler_cflags("-ansi")
-  if(APPLE)
-    add_gcc_compiler_cxxflags("-stdlib=libc++")
-  endif()
-else()
-  add_gcc_compiler_flags("-ansi")
+add_gcc_compiler_cxxflags("-std=c++11")
+
+if(APPLE)
+  add_gcc_compiler_cxxflags("-stdlib=libc++")
+endif()
+
+add_gcc_compiler_cflags("-ansi")
+
+if(WITH_DEV_BUILD)
+  add_definitions(-DQT_DEPRECATED_WARNINGS -DGCRYPT_NO_DEPRECATED)
 endif()
 
 if(MINGW)
@@ -146,19 +148,18 @@
   enable_testing()
 endif(WITH_TESTS)
 
-set(QT_REQUIRED_MODULES QtCore QtGui QtTest)
-
-find_package(Qt4 4.6.0 REQUIRED ${QT_REQUIRED_MODULES})
-include(${QT_USE_FILE})
+find_package(Qt5Core          5.2 REQUIRED)
+find_package(Qt5Concurrent    5.2 REQUIRED)
+find_package(Qt5Widgets       5.2 REQUIRED)
+find_package(Qt5Test          5.2 REQUIRED)
+find_package(Qt5LinguistTools 5.2 REQUIRED)
+set(CMAKE_AUTOMOC ON)
+
 # Debian sets the the build type to None for package builds.
 # Make sure we don't enable asserts there.
-set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_NONE QT_NO_DEBUG)
-
-find_package(Gcrypt REQUIRED)
-if(NOT (${GCRYPT_VERSION_STRING} VERSION_LESS "1.6.0"))
-  message(STATUS "Gcrypt ${GCRYPT_VERSION_STRING} supports the SALSA20 cipher")
-  set(GCRYPT_HAS_SALSA20 1)
-endif()
+set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS $<$<CONFIG:None>:QT_NO_DEBUG>)
+
+find_package(Gcrypt 1.6.0 REQUIRED)
 
 find_package(ZLIB REQUIRED)
 
@@ -199,10 +200,7 @@
 
 include_directories(SYSTEM ${GCRYPT_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR})
 
-if(NOT (${CMAKE_VERSION} VERSION_LESS 2.8.3))
-  set(PRINT_SUMMARY ON)
-  include(FeatureSummary)
-endif()
+include(FeatureSummary)
 
 add_subdirectory(src)
 add_subdirectory(share)
