=== debian/changelog ===
keepassx (2.0.3+git20190121.1682ab9-2.2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Non-maintainer upload.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Update standards version to 4.5.0, no changes needed.

  [ Nis Martensen ]
  * debian/control: recommend keepassxc in description

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Aug 2020 11:55:04 -0400

keepassx (2.0.3+git20190121.1682ab9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unused paragraph in copyright file.
  * set XDG_RUNTIME_DIR env in autopkgtest testcase
  * Release 2.0.3+git20190121.1682ab9 from experimental to unstable.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Sep 2019 02:53:27 +0800

keepassx (2.0.3+git20190121.1682ab9-1) experimental; urgency=medium

  * QA upload.
  * New upstream version 2.0.3+git20190121.1682ab9
  * Replace Qt4 Build-Depends with Qt5 (Closes: #874950)
  * Bump debhelper to 12 and use debhelper-compat
  * Remove WITH_CXX11 option in debian/rules, no longer needed

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Mar 2019 22:45:12 +0800
