=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Diego Sarzi <diegosarzi@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                cmake,
-               libqt4-dev,
+               qtbase5-dev,
+               qttools5-dev,
+               libqt5x11extras5-dev,
                libgcrypt20-dev,
                zlib1g-dev,
                libxtst-dev,
                xvfb,
                xauth
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.keepassx.org/
 Vcs-Git: https://salsa.debian.org/debian/keepassx.git
 Vcs-Browser: https://salsa.debian.org/debian/keepassx
@@ -31,4 +33,4 @@
  In contrast to KeePassXC (package keepassxc), the development pace of KeePassX
  has slowed down. It has less features, and uses an outdated version of the Qt
  widget. If you do not know whether you should install keepassx or keepassxc,
- install keepassx instead!
+ install keepassxc instead!
