=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DWITH_GUI_TESTS=ON -DWITH_CXX11=ON
+	dh_auto_configure -- -DWITH_GUI_TESTS=ON
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
