=== debian/tests/control ===
Test-Command: env XDG_RUNTIME_DIR=$(mktemp -d) xvfb-run -a keepassx &
Depends: @, xauth, xvfb
