=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://www.keepassx.org/releases/([\d\.]+)/keepassx-([\d\.]+)\.tar\.(?:bz2|gz|xz)
