## keepassx 2.0.3+keepassxc1

=== debian/changelog ===
keepassx (2.0.3+keepassxc1) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * Replace with transitional package depending on keepassxc, keepassx
    is not active anymore (Closes: #920616)

 -- Julian Andres Klode <jak@debian.org>  Tue, 27 Dec 2022 17:38:52 +0100
