=== debian/control ===
Source: keepassx
Section: oldlibs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.keepassx.org/
Vcs-Git: https://salsa.debian.org/debian/keepassx.git
Vcs-Browser: https://salsa.debian.org/debian/keepassx

Package: keepassx
Architecture: all
Depends: ${misc:Depends}, keepassxc
Description: Cross Platform Password Manager (empty transitional package)
 This is a transitional package to install the keepassxc package and
 can be safely removed.
 .
 The original keepassx does not receive any further development.
